Parameter (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface Parameter

- All Superinterfaces:
    InterchangeObject, MediaEntity, MetadataObject
  All Known Subinterfaces:
    ConstantValue, VaryingValue
  All Known Implementing Classes:
    ConstantValueImpl, ParameterImpl, VaryingValueImpl

      public interface Parameter
      extends InterchangeObject

  Specifies an effect control value. Effect control values are parameters to operations specified by operation groups.

  An example of a parameter value would be the level parameter of a video dissolve, which has control points with a value of zero (0 percent B material) at the start, to one (100 percent B material) at the end. The data value will actually be stored in either a constant value or one of the control points inside of a varying value.

  See Also:
    `ParameterDefinition`, `ParameterConstant`, `OperationGroup.addParameter(Parameter)`, `OperationDefinition.addParameterDefinition(ParameterDefinition)`, `Dictionary.getParameterDefinitions()`, `TypeDefinitions.ParameterStrongReference`, `TypeDefinitions.ParameterStrongReferenceVector`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parameter` | `clone()` Create a cloned copy of this parameter.
    `ParameterDefinition` | `getParameterDefinition()` Returns the parameter definition of this operation parameter.
    `AUID` | `getParameterDefinitionReference()` Returns the identifier for the parameter definition of this operation parameter.
    `TypeDefinition` | `getTypeDefinition()` Returns the type definition of the data value of this parameter.

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getParameterDefinition

          ParameterDefinition getParameterDefinition()

      Returns the parameter definition of this operation parameter.

      Returns:
        Parameter definition of this operation parameter.
      See Also:
        `getParameterDefinitionReference()`, `Warehouse.lookup(Class, String)`

    - #### getParameterDefinitionReference

          AUID getParameterDefinitionReference()

      Returns the identifier for the parameter definition of this operation parameter.

      Returns:
        Identifier of the parameter definition of this operation parameter.
      See Also:
        `getParameterDefinition()`, `DefinitionObject.getAUID()`, `Warehouse.lookup(Class, AUID)`

    - #### getTypeDefinition

          TypeDefinition getTypeDefinition()

      Returns the type definition of the data value of this parameter. It is often an integer or rational value and the value may vary with time.

      Note that the type definition is stored in the base class because it should be the same for all control points inside of a varying value.

      Returns:
        Type definition of the data value inside the parameter.
      See Also:
        `getParameterDefinition()`, `ParameterDefinition.getParameterType()`

    - #### clone

          Parameter clone()

      Create a cloned copy of this parameter.

      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this parameter.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.